QGIS Application - Bug report #674
Projections - .prj files ignored
2007-03-20 03:32 PM - john-craddock-xitech-com-au -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Projection Support

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupts data: Copied to github as #: 10733
Description

When adding a new layer to a project with project projection set to GDA94 (qgis srs = 2548) and file .prj also = GDA94, Dialog box pops
up asking for layer projection when it is already in the .pr;j file. If on-the-fly reprojection is enabled. No dialog box pops up but the projection
seems to assume the default of WGS84 for the file. It is all a little confusing because the meta data does not actually advise the projection
in understandable naming or even the srs.

A shape file set is included that can demonstrate the issue. GDA94 and WGS84 are essentially the same so there is no real efect.
However other projections may make greater issues.

History

#1 - 2007-03-21 11:56 AM - Magnus Homann
- Resolution set to invalid
- Status changed from Open to Closed

The projection in the .prj file looks like WGS84 to me:
GEOGCS[[GCS_WGS_1984"DATUM["'D_WGS_1984"SPHEROID["WGS_1984"63781370298257223563]]PRIMEM["Greenwich"00]JUNIT["Degree]]
The GAD94 uses the GRS80 ellipsoid.

So, the above .prj matches the WGS84 (qgis id 2585) projection, and that wil be set from the .pr; file.

Ask for projection does not really work in 0.8, but works in 0.9.

#2 - 2009-08-22 12:51 AM - Anonymous

Milestone Version 0.8.1 deleted

Files

CentWestPipe.zip 1.3 KB 2007-03-20 Redmine Admin
